package tcp;

import java.io.*;
import java.net.ServerSocket;
import java.net.Socket;

public class CuisineTCPServer extends Thread{

    private float fCurrentTemperature;
    private ServerSocket fServerSocket;

    public CuisineTCPServer(int iPort)
    {
        try {
            fServerSocket = new ServerSocket(iPort);
            start();

            fCurrentTemperature = 0.0f;
        }
        catch(Exception ve)
        {
            ve.printStackTrace();
        }
    }

    public float getCurrentTemperature()
    {
        return fCurrentTemperature;
    }

    public void run()
    {
        System.out.println("TCP Server Started");
        while(true)
        {
            try{
                Socket vConnection = fServerSocket.accept();
                new CuisineTalker(vConnection).start();
            }
            catch(Exception ve)
            {
                ve.printStackTrace();
            }

        }
    }

    private class CuisineTalker
        extends Thread
    {
        private Socket fSocket;

        public CuisineTalker(Socket iSocket)
        {
            fSocket = iSocket;
        }

        public void run()
        {
            while(true)
            {
                try
                {
                    InputStream vInputStream    = fSocket.getInputStream();
                    BufferedReader vBuffReader  = new BufferedReader(new InputStreamReader(vInputStream));
                    try{
                        String vReceived = vBuffReader.readLine();
                        fCurrentTemperature = Float.parseFloat(vReceived)/10;
                    }
                    catch(Exception ve)
                    {
                        ve.printStackTrace();
                    }

                }
                catch(Exception ve)
                {
                    ve.printStackTrace();
                }
            }
        }

    }

}
